!*********************************************************************
!* An HPF parser test program                                        *
!* Name: directive_9.f90                                             *
!* Author: Giriraj Vengurlekar                                       *
!* Date: Nov. 21, 1995                                               *
!* Main testing points: directive origin/PURE                        *
!* Rules/Options touched:                                            *
!*                                                                   *
!*  RULE#       DESCRIPTION                                          *
!*                                                                   *
!* H407/1     prefix is prefix spec                                  *
!* H408/3     prefix spec is PURE                                    *
!* H409/1     func statement is prefix FUNCTION func name func stuff *
!* H410/1     func stuff is argument list                            *
!* H411/1     subroutine statement is prefix SUBROUTINE subr-name    *
!*                                                      subr-stuff   *
!* H412/1     subr-stuff is dummy args                               *
!*********************************************************************



      PROGRAM directive_9
!************************************************************************
! Testing for valid PURE function syntax
! Check for directive ORIGIN
!************************************************************************      
      INTERFACE
         PURE INTEGER FUNCTION TEST_PURE(X)
           COMPLEX, INTENT(IN) :: X
         END FUNCTION TEST_PURE
      END INTERFACE

! Testing for valid PURE subroutine syntax

      INTERFACE
         PURE SUBROUTINE TEST_PURE1(A)
           REAL, INTENT(IN)   :: A
         END SUBROUTINE TEST_PURE1
      END INTERFACE
     
      
      end
